# Generated by Django 5.0.6 on 2024-05-22 08:29

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('machines', '0002_machine'),
    ]

    operations = [
        migrations.CreateModel(
            name='SpareParts',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('description', models.TextField(blank=True)),
                ('amount', models.PositiveIntegerField(blank=True, default=0)),
                ('active', models.BooleanField(default=True)),
                ('position', models.CharField(default=None, max_length=10)),
                ('machine_category', models.ManyToManyField(blank=True, default=None, null=True, related_name='spare_parts', to='machines.category')),
                ('machines', models.ManyToManyField(blank=True, related_name='spare_parts', to='machines.machine')),
            ],
        ),
    ]
